# $Revision: 1.17 $, $Date: 2002/02/25 10:30:58 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	PreProcessor
Summary:	Devel-PreProcessor perl module
Summary(pl):	Modu perla Devel-PreProcessor
Name:		perl-Devel-PreProcessor
Version:	1999.0220
Release:	6
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel-PreProcessor perl module inlining and other Perl source
manipulations.

%description -l pl
Modu perla Devel-PreProcessor.

%prep
%setup -q -n %{pdir}-%{pnam}-1999.022
%patch -p1

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitelib}/Devel/PreProcessor.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Devel-PreProcessor.spec,v $
Revision 1.17  2002/02/25 10:30:58  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:11:33  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:25:32  depesz
adapterized

Revision 1.13  2002/01/18 02:14:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:08:09  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/02 10:18:55  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:49  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:41:26  pius
- updated to 1999.0220

Revision 1.2  1999/11/04 21:24:39  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:16  pius
- initial release
